package com.ssj.service.sys.push.service.task;

import com.ssj.service.sys.easemob.service.EasemobService;
import com.ssj.taskthread.Task;

/**
 * @author yangcan
 * 类描述:环信推送异步线程
 * 创建时间:2019年3月9日 下午3:32:57

 */
public class EasemobConchPushThreadTask extends Task{
	private String easemobName; //推送环信号
	private String title; //推送标题
	private String content; //推送内容
	private EasemobService easemobService;
	
	public EasemobConchPushThreadTask(String easemobName, String title, String content,EasemobService easemobService) {
		super();
		this.easemobName = easemobName;
		this.title = title;
		this.content = content;
		this.easemobService = easemobService;
	}

	public void run() {
		logger.error("环信异步开始推送贝壳---------------");
		try {
			easemobService.sendSystemMessages(easemobName, title, content);
		}catch (Exception e) {
			logger.error("环信推送贝壳异常...");
		}
		logger.error(Thread.currentThread().getName()+"环信异步结束推送贝壳---------------");
	}
}
